Aller au contenu


Photo

[PS4] dots_tb patche les ELF 5.50 pour 5.05


  • Veuillez vous connecter pour répondre
38 réponses à ce sujet

Posté 11 février 2019 - 11:16

#1
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 8 042 messages
  • Sexe:Male
Le développeur dots_tb a qui l'on droit notamment de nombreuses avancées sur PlayStation Vita sur UVloader, Henkaku ou reF00D, vient désormais titiller la scène PlayStation 4 en proposant les patches le numéro de version de SDK dans les ELFs. 
 
Sa proposition vient patcher les ELFs créés à partir du SDK 5.50 pour qu'ils fonctionnent avec le firmware 5.05, ce qui signifie indirectement que dans le SDK 5.50 il n'y a pas de grands changements. 
 
 
 
 
SilicaAndPina et NagatoRevenge sont remerciés au passage pour avoir testé cette solution qui est basé sur les patches sce_version et sce_param des ELFs PS4.
 
 
Tout est là : scever_patch 1.1
 
 
 

  • Retour en haut

Posté 11 février 2019 - 11:23

#2
inconnux

inconnux

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 3 491 messages
  • Sexe:Male
  • Lieu:Paris, France
Merci pour cette information PS4

Modifié par inconnux, 11 février 2019 - 11:23.

  • Retour en haut

Posté 11 février 2019 - 11:33

#3
mke2106

mke2106

    Sunriseur

  • Members
  • PipPip
  • 127 messages
cool merci
  • Retour en haut

Posté 11 février 2019 - 11:53

#4
Darwin345

Darwin345

    Nouveau / peu actif

  • Members
  • Pip
  • 5 messages
Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?
  • Retour en haut

Posté 11 février 2019 - 11:55

#5
Linkynimes

Linkynimes

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 290 messages
  • Sexe:Male

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


C'est ce que j'ai cru comprendre
  • Retour en haut

Posté 11 février 2019 - 12:06

#6
Darwin345

Darwin345

    Nouveau / peu actif

  • Members
  • Pip
  • 5 messages

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


C'est ce que j'ai cru comprendre


Très bonne nouvelle alors !
  • Retour en haut

Posté 11 février 2019 - 12:13

#7
overload

overload

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 249 messages

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


ne rêvez pas ,aucun possesseur de kexploit 5.05+ ne vous fera de backup , donc en l'état inutile , de plus l'auteur n'a jamais statué a l'heure actuel sur le patchage des jeux 5.05+ a ce stade d’avancement
Encore une fois , une news qui va enflammer les gens pour rien , vu que le probleme reste le meme en ce qui concerne les jeux , pas de kexploit 5.05+ = pas de backups ,et meme si un kexploit 5.05+ sort "demain" il n'y aura aucune utilité a patcher donc downgrader les backups 5.50 en 5.05

Ceci est plus a voir comme un POC qu'une réelle pierre a l'édifice qui fera avancer la scène , de plus le downgrade de jeu n'est en soit pas nouveau et était déjà possible avec d'ancien jeu crypté avec d'ancien firmwares

Désolé de péter la baraque mais ce sont des faits

Modifié par overload, 11 février 2019 - 12:53.

"Si ça saigne ça peut crever"


Posté 11 février 2019 - 12:26

#8
Darwin345

Darwin345

    Nouveau / peu actif

  • Members
  • Pip
  • 5 messages

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


ne rêvez pas ,aucun possesseur de kexploit 5.05+ ne vous fera de backup , donc en l'état inutile , de plus l'auteur n'a jamais statué a l'heure actuel sur le patchage des jeux 5.05+ a ce stade d’avancement
Encore fois , une news qui va enflammer les gens pour rien , vu que le probleme reste le meme en ce qui concerne les jeux , pas de kexploit 5.05+ = pas de backups ,et meme si un kexploit 5.05+ sort "demain" il n'y aura aucune utilité a patcher donc downgrader les backups 5.50 en 5.05

Ceci est plus a voir comme un POC qu'une réelle pierre a l'édifice qui fera avancer la scène , de plus le downgrade de jeu n'est en soit pas nouveau et était déjà possible avec d'ancien jeu crypté avec d'ancien firmwares

Désolé de péter la baraque mais ce sont des faits


Ah ok donc je me suis planté
  • Retour en haut

Posté 11 février 2019 - 12:34

#9
Nalayah

Nalayah

    Sunriseur avancé

  • Members
  • PipPipPip
  • 435 messages
  • Sexe:Male
  • Lieu:Toulouse

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


ne rêvez pas ,aucun possesseur de kexploit 5.05+ ne vous fera de backup , donc en l'état inutile , de plus l'auteur n'a jamais statué a l'heure actuel sur le patchage des jeux 5.05+ a ce stade d’avancement
Encore fois , une news qui va enflammer les gens pour rien , vu que le probleme reste le meme en ce qui concerne les jeux , pas de kexploit 5.05+ = pas de backups ,et meme si un kexploit 5.05+ sort "demain" il n'y aura aucune utilité a patcher donc downgrader les backups 5.50 en 5.05

Ceci est plus a voir comme un POC qu'une réelle pierre a l'édifice qui fera avancer la scène , de plus le downgrade de jeu n'est en soit pas nouveau et était déjà possible avec d'ancien jeu crypté avec d'ancien firmwares

Désolé de péter la baraque mais ce sont des faits


Comme dirait notre Seigneur Léodagan : "Faut toujours que vous veniez foutre votre merde vous !" :D
Merci pour la précision, ça évitera les faux espoirs !

The Sun Is Gone but I Have A Light
~ Kurt D. Cobain 1967-1994 ~

Vous aimez la musique qui décolle la cage à miel? Rdv sur www.metalsickness.com !

  • Retour en haut

Posté 11 février 2019 - 12:39

#10
markus95

markus95

    Sunriseur PRIVILEGE

  • Shining VIP
  • 3 611 messages
  • Sexe:Male
Overload a tout dit...

Le fait de modifier la signature de l eboot.bin existe déjà depuis un moment, du 4.74 au 4.05 par exemple, j en avais même fait une vidéo à l'époque avant la publication du 5.05 Et 4.55...

De plus il faut un backup pour patcher l eboot.bin, ce que les personnes ayant les kexploit 5.05+ ne feront jamais...
  • Retour en haut

Posté 11 février 2019 - 13:14

#11
Mouk3004

Mouk3004

    Sunriseur

  • Members
  • PipPip
  • 40 messages

Overload a tout dit...

Le fait de modifier la signature de l eboot.bin existe déjà depuis un moment, du 4.74 au 4.05 par exemple, j en avais même fait une vidéo à l'époque avant la publication du 5.05 Et 4.55...

De plus il faut un backup pour patcher l eboot.bin, ce que les personnes ayant les kexploit 5.05+ ne feront jamais...

Dsl je suis un naze en hack mais avant il y avait pas une méthode pour faire des backup nécessitant une mise à jour plus élevé avec une console ayant un fw plus bas même si on pouvait pas les lancer
  • Retour en haut

Posté 11 février 2019 - 13:18

#12
samir31

samir31

    Sunriseur

  • Members
  • PipPip
  • 74 messages
envoyer moi le kexploit 5.05+ et je vous ferez tous les backup
des nouveaux jeux ;)
  • Retour en haut

Posté 11 février 2019 - 13:33

#13
Boukaki76

Boukaki76

    Sunriseur avancé

  • Members
  • PipPipPip
  • 816 messages
  • Sexe:Male

Pour ce qui concerne les backups,faudrait quelques choses pour analyser le pkg qu'il a directement sur le blue ray.
enfaite quand on dit le dump du jeu,au-delà du firmware du 5.05 n'est pas possible c'est faux ! C'est totalement possible via FTP.
je l'ai fait récemment avec mon resident evil 2,sauf qu'on n'a rien pour décompresser ou lire le pkg,donc ce qui rend la chose impossible.
  • Retour en haut

Posté 11 février 2019 - 13:53

#14
markus95

markus95

    Sunriseur PRIVILEGE

  • Shining VIP
  • 3 611 messages
  • Sexe:Male

Pour ce qui concerne les backups,faudrait quelques choses pour analyser le pkg qu'il a directement sur le blue ray.
enfaite quand on dit le dump du jeu,au-delà du firmware du 5.05 n'est pas possible c'est faux ! C'est totalement possible via FTP.
je l'ai fait récemment avec mon resident evil 2,sauf qu'on n'a rien pour décompresser ou lire le pkg,donc ce qui rend la chose impossible.


Oui mais un dump non décrypté ne sert à rien... Ça revient au même que de DL le pkg officiel d un jeu...
Et seul la console decrypte le pkg lors du lancement du jeu...

Donc on peut installer un jeux 5.05+ sur 5.05 mais vu que l on ne peut pas le lancer on ne peut pas non plus le décrypter...
  • Retour en haut

Posté 11 février 2019 - 13:56

#15
Oxeres

Oxeres

    Sunriseur avancé

  • Members
  • PipPipPip
  • 341 messages
  • Sexe:Male
Donc un outil de décryptage de pkg serais bien plus utile qu’un kexploit.
Ca existe sur Vita donc ca doit être faisable. Peut être un jour...

Modifié par Oxeres, 11 février 2019 - 13:57.

  • Retour en haut

Posté 11 février 2019 - 14:11

#16
Boukaki76

Boukaki76

    Sunriseur avancé

  • Members
  • PipPipPip
  • 816 messages
  • Sexe:Male

Pour ce qui concerne les backups,faudrait quelques choses pour analyser le pkg qu'il a directement sur le blue ray.
enfaite quand on dit le dump du jeu,au-delà du firmware du 5.05 n'est pas possible c'est faux ! C'est totalement possible via FTP.
je l'ai fait récemment avec mon resident evil 2,sauf qu'on n'a rien pour décompresser ou lire le pkg,donc ce qui rend la chose impossible.


Oui mais un dump non décrypté ne sert à rien... Ça revient au même que de DL le pkg officiel d un jeu...
Et seul la console decrypte le pkg lors du lancement du jeu...

Donc on peut installer un jeux 5.05+ sur 5.05 mais vu que l on ne peut pas le lancer on ne peut pas non plus le décrypter...


Mais pourtant tout sa es possible sur ps3 Markus :) suffit juste d'avoir les outils qu'il nous faut :)
c'est ce que je dis faudrait les choses pour que... Tu vois ? pourquoi faire compliquer,hein? alors que l'on peut aller chercher les choses à la source. :)

Modifié par Boukaki76, 11 février 2019 - 14:12.

  • Retour en haut

Posté 11 février 2019 - 14:16

#17
markus95

markus95

    Sunriseur PRIVILEGE

  • Shining VIP
  • 3 611 messages
  • Sexe:Male
Sur ps3 c est différent, les pkg ne possédaient pas de password pour être décompilé...
On pouvait décompiler un pkg quelque soit son firmware ce qui posait problème ensuite était l'eboo.bin qui lui était crypté avec des clefs différentes selon le firmware...

Sur ps4 sony à rajouté une couche avec leur pkg à password... Et même une fois installé les jeux sont encore au format pkg ce qui n était pas le cas sur ps3...

Posté 11 février 2019 - 14:30

#18
annimmalus

annimmalus

    Tueur de Gremlins

  • Members
  • PipPipPipPip
  • 1 783 messages
  • Sexe:Male
  • Lieu:nul part et partout
  • Passions:heu.... je sais pas il faut que je reflechisse

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


ne rêvez pas ,aucun possesseur de kexploit 5.05+ ne vous fera de backup , donc en l'état inutile , de plus l'auteur n'a jamais statué a l'heure actuel sur le patchage des jeux 5.05+ a ce stade d’avancement
Encore une fois , une news qui va enflammer les gens pour rien , vu que le probleme reste le meme en ce qui concerne les jeux , pas de kexploit 5.05+ = pas de backups ,et meme si un kexploit 5.05+ sort "demain" il n'y aura aucune utilité a patcher donc downgrader les backups 5.50 en 5.05

Ceci est plus a voir comme un POC qu'une réelle pierre a l'édifice qui fera avancer la scène , de plus le downgrade de jeu n'est en soit pas nouveau et était déjà possible avec d'ancien jeu crypté avec d'ancien firmwares

Désolé de péter la baraque mais ce sont des faits


le souci c'est que certaines news reste assez evasif enfaite .... d'ou certaine questions de ce type .....

ce que tu as dit devrait etre dans la news ^^

merci tout de meme ....

Modifié par annimmalus, 11 février 2019 - 14:31.

Flash tout lecteurs xbox360 (sauf liteon 1175 et hitachi 0500/0502 ) dans le 50 a mon domicile ou par correspondance.


Pose le glitch sur Slim .

  • Retour en haut

Posté 11 février 2019 - 14:34

#19
Boukaki76

Boukaki76

    Sunriseur avancé

  • Members
  • PipPipPip
  • 816 messages
  • Sexe:Male
Oui j'ai remarqué sa, le fait qu'une fois le jeu installer.
Il était encore en format. Pkg ce même format qui donne quelque chose du genre "app pkg" si je me trompe pas ! ce que l'on trouve d'ailleurs sur le format blue ray.
cependant on peut y extraire la mise à jour du jeu et j'ai réussi à extraire les paramètres de trophée, des fichiers au format Sfo, qui donne des infos sur le jeux
en direct de mon blue ray. donc certes sony à plus sécuriser ses jeux.
mais je reste convaincu que ce n'est pas impossible de le faire :) mais surtout!!! que cela et plus utile qu'un futur kexploit, car je ne suis pas bloqué en cette mise à jour.
mais j'aimerais aussi que les devs pensent à ceux qui sont bloqués en 4.74,c'est bien beau de donner des kexploit mais c'est pas cool de laisser tomber les autres :)
  • Retour en haut

Posté 11 février 2019 - 16:13

#20
Hacking Joke

Hacking Joke

    Sunriseur

  • Members
  • PipPip
  • 147 messages

Est ce que je me trompe ou cela veut dire qu'on peut du coup lancer des backups nécessitant le 5.50?


ne rêvez pas ,aucun possesseur de kexploit 5.05+ ne vous fera de backup , donc en l'état inutile , de plus l'auteur n'a jamais statué a l'heure actuel sur le patchage des jeux 5.05+ a ce stade d’avancement
Encore une fois , une news qui va enflammer les gens pour rien , vu que le probleme reste le meme en ce qui concerne les jeux , pas de kexploit 5.05+ = pas de backups ,et meme si un kexploit 5.05+ sort "demain" il n'y aura aucune utilité a patcher donc downgrader les backups 5.50 en 5.05

Ceci est plus a voir comme un POC qu'une réelle pierre a l'édifice qui fera avancer la scène , de plus le downgrade de jeu n'est en soit pas nouveau et était déjà possible avec d'ancien jeu crypté avec d'ancien firmwares

Désolé de péter la baraque mais ce sont des faits


Si il y a une utilité c est pour les consoles sans lecteur blu ray.
Vu que sony a bloqué la possibilité de mettre a jour avec le firmware 5.0, downgradé l eboot d un jeu peux etre necessaire uniquement dans ce cas.
  • Retour en haut




0 utilisateur(s) li(sen)t ce sujet

0 invité(s) et 0 utilisateur(s) anonyme(s)